<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: include/openthread-diag.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('de/d49/openthread-diag_8h.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">openthread-diag.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file defines the top-level functions for the OpenThread diagnostics library.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for openthread-diag.h:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d7c/openthread-diag_8h__incl.png" border="0" usemap="#include_2openthread-diag_8h" alt=""/></div>
<map name="include_2openthread-diag_8h" id="include_2openthread-diag_8h">
<area shape="rect" id="node2" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="63,92,199,117"/>
<area shape="rect" id="node3" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="5,165,70,191"/>
<area shape="rect" id="node4" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="93,165,169,191"/>
<area shape="rect" id="node5" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="193,165,330,191"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d43/openthread-diag_8h__dep__incl.png" border="0" usemap="#include_2openthread-diag_8hdep" alt=""/></div>
<map name="include_2openthread-diag_8hdep" id="include_2openthread-diag_8hdep">
<area shape="rect" id="node2" href="../../dd/d48/cli_8cpp.html" title="This file implements the CLI interpreter. " alt="" coords="5,99,102,124"/>
<area shape="rect" id="node3" href="../../d5/dce/openthread-diag_8cpp.html" title="This file implements the top&#45;level interface to diagnostics module. " alt="" coords="127,92,266,131"/>
<area shape="rect" id="node4" href="../../d5/d6a/ncp__base_8cpp.html" title="This file implements a Spinel interface to the OpenThread stack. " alt="" coords="290,99,441,124"/>
</map>
</div>
</div>
<p><a href="../../de/d49/openthread-diag_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a62374841c13c8dd69a3905642490d31c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62374841c13c8dd69a3905642490d31c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>diagInit</b> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="separator:a62374841c13c8dd69a3905642490d31c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a403d927d5ec8a52aeeb7649ba786c85b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a403d927d5ec8a52aeeb7649ba786c85b"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>diagProcessCmd</b> (int argc, char *argv[])</td></tr>
<tr class="separator:a403d927d5ec8a52aeeb7649ba786c85b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a257aca2aa863a3ddb9906056dbb77524"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a257aca2aa863a3ddb9906056dbb77524"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>diagProcessCmdLine</b> (char *string)</td></tr>
<tr class="separator:a257aca2aa863a3ddb9906056dbb77524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c44fbcabb6c2dc289393d0df672f8eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c44fbcabb6c2dc289393d0df672f8eb"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>isDiagEnabled</b> ()</td></tr>
<tr class="separator:a4c44fbcabb6c2dc289393d0df672f8eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file defines the top-level functions for the OpenThread diagnostics library. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="../../de/d49/openthread-diag_8h.html">openthread-diag.h</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
